<?php while ( have_posts() ) : the_post(); ?>
<article class="post row">
<header class="head">
<?php pasargad_title_icon();?>
<h2 class="post-title"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
<p class="category row">
موضوع : <?php printf('%1$s', get_the_category_list( ',' ) ); ?>
</p>
</header>
<div class="post-content">
<?php the_content(''); ?>
</div>
<aside class="post-info row">
<?php if( pasargad_get_option('index_like') || pasargad_get_option('total_star') ):?>
<div class="row">
<?php if( pasargad_get_option('index_like') ):?>
<div class="like-dislike">
<?php if( pasargad_get_option('index_like') ):?>
<div class="likes"><?php echo pasargad_posts_like(get_the_ID());?></div>
<div class="dislikes"><?php echo pasargad_posts_dislike(get_the_ID());?></div>
<?php endif;?>
</div>
<?php endif;?>
<?php if( pasargad_get_option('total_star') ):?>
<div class="total-rating">
<i class="average-score"></i>امتیاز کل : <?php pasargad_total_rating();?>
</div>
<?php endif;?>
</div>
<?php endif;?>
<?php if( pasargad_get_option('index_meta') ):?>
<div class="meta row">
<ul>
<?php if( pasargad_get_option('index_date_meta') ):?>
<li><i class="icon-date"></i><?php the_time(' l j F Y ') ?></li>
<?php endif;if( pasargad_get_option('index_views_meta') ):?>
<li><i class="icon-views"></i><?php pasargad_views();?></li>
<?php endif;if( pasargad_get_option('index_author_meta') ):?>
<li><i class="icon-author"></i><a href="<?php if ( get_the_author_meta( 'googleplus' ) ) : the_author_meta( 'googleplus' ); else: ?><?php echo get_author_posts_url( get_the_author_meta( 'ID' ) )?><?php endif;?>" title="<?php sprintf( esc_attr__( '%s', 'persian' ), get_the_author() ) ?>" rel="author"><span><?php echo get_the_author() ?></span></a></li>
<?php endif;if( pasargad_get_option('index_comment_meta') ):?>
<li><i class="icon-comments"></i><?php comments_popup_link('0 دیدگاه','1 دیدگاه','% دیدگاه'); ?></li>
<?php endif;?>
</ul>
</div>
<?php endif;?>
</aside>
<?php if (pasargad_get_option('more_link')): ?>
<a class="continue row" href="<?php the_permalink(); ?>" title="ادامه مطلب <?php the_title_attribute();?>"><i class="more-icon"></i>ادامه + دانلود</a>
<?php endif;?>
</article>
<?php endwhile;?>