<?php
//***************************************//
//@ Theme style functions for panel
//@ Url = http://www.parsthemes.com/
//@ Email = mr.4fshin@ymail.com
//**************************************//
add_action('wp_head', 'pasargad_theme_head');
function pasargad_theme_head() {
?>
<style>
<?php if( pasargad_get_option('background_type') == 'pattern' ):?>
body{
<?php if( pasargad_get_option('background_pattern') ){ ?> 
background:url('<?php echo get_template_directory_uri(); ?>/images/patterns/<?php echo pasargad_get_option('background_pattern') ?>.png') repeat;
<?php } ?>
}
<?php elseif( pasargad_get_option('background_type') == 'custom' ):
$body_bg = pasargad_get_option ('body_bg');
?>
body{
<?php if( !empty( $body_bg['color'] ) ){ ?>background-color:<?php echo $body_bg['color'] ?>;background-image:none;<?php }?>
<?php if( !empty( $body_bg['img'] ) ){ ?>background-image:url('<?php echo $body_bg['img'] ?>');<?php }?>
<?php if( !empty( $body_bg['repeat'] ) ){ ?>background-repeat:<?php echo $body_bg['repeat'] ?>;<?php }?>
<?php if( !empty( $body_bg['attachment'] ) ){ ?>background-attachment:<?php echo $body_bg['attachment'] ?>;<?php }?>
<?php if( !empty( $body_bg['pos'] ) || !empty( $body_bg['pos2'] ) ){ ?>background-position:<?php echo $body_bg['pos'] ?> <?php echo $body_bg['pos2'] ?> !important; <?php }?>
}
<?php endif;?>
<?php if( pasargad_get_option('header_vector') == 'vector1' ){?> 
.header{background-color:#64C5B4}
.header .ajax-search-results{background-color:#58AD9D}
<?php }elseif( pasargad_get_option('header_vector') == 'vector2' ){?> 
.header{background-color:#72C1BE}
.header .ajax-search-results{background-color:#68ADA9}
<?php }elseif( pasargad_get_option('header_vector') == 'vector3' ){?>
.header{background-color:#2EABE3}
.header .ajax-search-results{background-color:#2A9BCC}
<?php }elseif( pasargad_get_option('header_vector') == 'vector4' ){?> 
.header{background-color:#00AAB4}
.header .ajax-search-results{background-color:#00858C}
<?php }elseif( pasargad_get_option('header_vector') == 'vector5' ){?> 
<?php }?>
<?php if( pasargad_get_option('header_vector') == 'vector5'){?>
<?php }elseif(pasargad_get_option('header_vector')){?>
.header .logo{
background-image:url('<?php echo get_template_directory_uri(); ?>/images/vectors/<?php echo pasargad_get_option('header_vector') ?>.jpg');
background-repeat: no-repeat;
}
<?php }?>
</style>
<?php if (pasargad_get_option('theme_effects')): ?>
<script type="text/javascript">
jQuery(document).ready(function() {
	jQuery('#left-sidebar .movie-request,#left-sidebar .music-request,#left-sidebar .vip-request,#left-sidebar .search').addClass("hidden").viewportChecker({
	    classToAdd: 'visible animated bounceInLeft', 
	   }); 
	jQuery('#right-sidebar .movie-request,#right-sidebar .music-request,#right-sidebar .vip-request,#right-sidebar .search').addClass("hidden").viewportChecker({
	    classToAdd: 'visible animated bounceInRight', 
	   });  	   
	jQuery('.like-dislike').addClass("hidden").viewportChecker({
	    classToAdd: 'visible animated bounceInLeft', 
	   }); 	
	jQuery('.total-rating').addClass("hidden").viewportChecker({
	    classToAdd: 'visible animated bounceInRight', 
	}); 	
	jQuery('.footer-caption').addClass("hidden").viewportChecker({
	    classToAdd: 'visible animated fadeIn', 
	   }); 	 
	jQuery('.sharing i').addClass("hidden").viewportChecker({
	    classToAdd: 'visible animated rollIn', 
	   }); 	   	
	jQuery('.post .review-post,.post .box-download,.special-posts .thumbnail').addClass("hidden").viewportChecker({
	    classToAdd: 'visible animated fadeInDown', 
	   }); 	   
});   
</script>
<?php endif; ?>
<?php
}
?>