<?php
//******************************************
// @ This metabox created by parsthemes.com
// @ Email: mr.4fshin@ymail.com
// @ URL  : http://www.parsthemes.com/
//******************************************
add_action("admin_init", "posts_init");
function posts_init(){
	add_meta_box("post_options", "تنظیمات برای این پست", "post_options", "post", "normal", "high");
}

function post_options(){
	global $post ;
	$get_meta = get_post_custom($post->ID);
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );	
	if(isset( $get_meta["pasargad_review_criteria"][0] ))	
	$pasargad_review_criteria = unserialize($get_meta["pasargad_review_criteria"][0]);
?>
<!---------- Review ---------->
<div class="pasargad-content">
<input type="hidden" name="pasargad_post_save" value="true" />
<div class="pasargad-title"><h3>تنظیمات باکس بررسی مطلب</h3></div>
<div class="ps-padding">
	<?php	
	pasargad_post_options(
			array(	"name" => "نمایش باکس امتیازدهی",
					"id" => "pasargad_review_box",
					"type" => "select",
					"options" => array( "" => "غیرفعال" ,
										"post-review-active" => "فعال"
				)));
	?>
			
<div id="reviews-options">
	<?php
	pasargad_post_options(				
			array(	"name" => "استایل امتیازدهی",
					"id" => "pasargad_review_style",
					"type" => "select",
					"options" => array(
										"percentage" => "درصد",
										"points" => "نمره"
			)));		
	?>
<input id="pasargad_add_review_criteria" type="button" class="pasargad-button add-review" value="افزودن بررسی جدید">
<ul id="pasargad-reviews-list">
	<?php $i = 0;
	if(!empty($pasargad_review_criteria) && is_array($pasargad_review_criteria) ){
	foreach( $pasargad_review_criteria as $pasargad_review ){  ; $i++; ?>
<li class="meta-option-item review-option-item">
<div>
<span>معیارهای بررسی</span>
<input name="pasargad_review_criteria[<?php echo $i ?>][name]" type="text" value="<?php if( !empty($pasargad_review['name'] ) ) echo $pasargad_review['name'] ?>" />
<a class="delete-my-review">پاک کردن</a>
<div class="clear"></div>
<span>امتیاز ( یک عدد بر حسب درصد بدون علامت وارد کنید.مثال : 95 )</span>
<input type="text" id="criteria<?php echo $i ?>" value="<?php if( !empty($pasargad_review['score']) ) echo $pasargad_review['score']; else echo 0; ?>" name="pasargad_review_criteria[<?php echo $i ?>][score]" style="width:40px;margin-top:10px;" />
</div>
</li>	
<?php
}
}
?>
</ul>
<script>var nextReview = <?php echo $i+1 ?> ;</script>
</div>
</div>
</div>
<!---------- Content ---------->
<div class="pasargad-content">
<div class="pasargad-title"><h3>باکس دانلود</h3></div>
<div class="ps-padding">
<div class="pasargad-help"><div class="help">
باکس دانلود برای پوسته کدنویسی شده است که می توانید استفاده کنید.در صورتی که قبلا از زمینه دلخواه هایی متفاوت برای پست های خود استفاده می کردید با زمینه دلخواه هایی که برای این باکس دانلود  استفاده شده است متفاوت است و باید با زمینه دلخواه های قبلی شما تعویض شود.
</div></div>
<?php
	pasargad_post_options(array(
		"name" => "نمایش باکس دانلود",
		"id" => "show_boxdl",
		"type" => "checkbox" 
));
?>
<div class="panel-item-divider"></div>
<?php
	pasargad_post_options(array(
		"name" => "موزیک کیفیت 320",
		"id" => "music320",
		"type" => "text" 
));
	pasargad_post_options(array(
		"name" => "موزیک کیفیت 128",
		"id" => "music128",
		"type" => "text" 
));
?>
<div class="panel-item-divider"></div>
<?php
	pasargad_post_options(array(
		"name" => "آلبوم ( کل )",
		"id" => "album_full",
		"type" => "text" 
	));
	pasargad_post_options(array(
		"name" => "آلبوم ( تکی )",
		"id" => "album_single",
		"type" => "text" 
	));							
?>
<div class="panel-item-divider"></div>
<?php
	pasargad_post_options(array(
		"name" => "موزیک ویدیو 480p",
		"id" => "musicv480",
		"type" => "text" 
	));
	pasargad_post_options(array(
		"name" => "موزیک ویدیو 720p",
		"id" => "musicv720",
		"type" => "text" 
	));	
	
	pasargad_post_options(array(
		"name" => "موزیک ویدیو 1080p",
		"id" => "musicv1080",
		"type" => "text" 
	));	
?>
<div class="panel-item-divider"></div>
<?php
	pasargad_post_options(array(
		"name" => "لینک دانلود فیلم و سریال",
		"id" => "film_serial",
		"type" => "text" 
	));
?>
<div class="panel-item-divider"></div>
<?php
	pasargad_post_options(array(
		"name" => "باکس کد پخش آنلاین موزیک برای وبلاگ ها و سایت ها",
		"id" => "code_player",
		"type" => "checkbox" 
	));
?>
</div>
</div>
<!---------- //END ---------->
  <?php
}

add_action('save_post', 'save_post');
function save_post( $post_id ){
	global $post;
	
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE )
		return $post_id;
	
    if (isset($_POST['pasargad_post_save'])) {
	
		$custom_meta_fields = array(
			'pasargad_review_box',
			'pasargad_review_style',
			'music320',
			'music128',
			'album_full',
			'album_single',
			'musicv480',
			'musicv720',
			'musicv1080',
			'film_serial',
			'show_boxdl',
			'code_player'
			);
			
	foreach( $custom_meta_fields as $custom_meta_field ){
			if(!empty($_POST[$custom_meta_field]) )
				update_post_meta($post_id, $custom_meta_field, htmlspecialchars(stripslashes($_POST[$custom_meta_field])) );
			else
				delete_post_meta($post_id, $custom_meta_field);
		}
		
		if(!empty($_POST[ 'pasargad_review_criteria' ]) )
		update_post_meta($post_id, 'pasargad_review_criteria', $_POST['pasargad_review_criteria']);
		else
		delete_post_meta($post_id, 'pasargad_review_criteria', $_POST['pasargad_review_criteria']);
		
		$get_meta = get_post_custom($post_id);
		$total_counter = $score = 0;
		if( !empty( $get_meta['pasargad_review_criteria'][0] ))
		$criterias = unserialize( $get_meta['pasargad_review_criteria'][0] );
		
		if( !empty($criterias) ){
			foreach( $criterias as $criteria){ 
				if( $criteria['name'] && $criteria['score'] && is_numeric( $criteria['score'] )){
					if( $criteria['score'] > 100 ) $criteria['score'] = 100;
					if( $criteria['score'] < 0 ) $criteria['score'] = 1;
						
				$score += $criteria['score'];
				$total_counter ++;
				}
			}
			if( !empty( $score ) && !empty( $total_counter ) )
				$total_score =  $score / $total_counter ;
			
			update_post_meta($post_id, 'pasargad_review_score', $total_score);
		}
	}
}

/*********************************************************/

function pasargad_post_options($value){
global $post;
?>
<div class="meta-option-item" id="<?php echo $value['id'] ?>-item">
<span><?php  echo $value['name']; ?></span>
<?php
$id = $value['id'];
$get_meta = get_post_custom($post->ID);
if( isset( $get_meta[$id][0] ) )
$current_value = $get_meta[$id][0];
switch ( $value['type'] ) {
/* ------------------------------*/
/* @ Text
/* ------------------------------*/	
case 'text': ?>
<input  name="<?php echo $value['id']; ?>" id="<?php  echo $value['id']; ?>" type="text" value="<?php echo $current_value ?>" />
<?php 
break;
/* ------------------------------*/
/* @ Checkbox
/* ------------------------------*/	
case 'checkbox':
if( !empty( $current_value ) ){$checked = "checked=\"checked\"";  } else{$checked = "";} ?>
<div class="checkbox-wrapper" style="float:left;">
<input class="toggleswitch-big" type="checkbox" name="<?php echo $value['id'] ?>" id="<?php echo $value['id']; ?>" <?php echo $checked; ?> />
</div>		
<?php	
break;
/* ------------------------------*/
/* @ Select
/* ------------------------------*/	
case 'select':
?>
<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $key => $option) { ?>
<option value="<?php echo $key ?>" <?php if ( $current_value == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
<?php
break;
/* ------------------------------*/
/* @ Textarea
/* ------------------------------*/		
case 'textarea':
?>
<textarea style="direction:ltr; text-align:left; width:430px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="textarea" cols="100%" rows="3" tabindex="4"><?php echo $current_value  ?></textarea>
<?php
break;
/* ------------------------------*/
/* @ Colorpicker
/* ------------------------------*/	
case "colorpicker": ?>
<?php echo $value['name']; ?>
<div id="<?php echo $value['id']; ?>_picker" class="colorSelector">
<div style="background-color: #<?php echo $current_value ; ?>"></div>
</div>
<div class="colorSelectorHex">
<input class="picker-input" maxlength="6" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>_color" type="text" value="<?php echo $current_value ; ?>" />
</div>
<?php break;
/* ------------------------------*/
/* @ Upload
/* ------------------------------*/	
case "upload":
?>
<input id="<?php echo $value['id']; ?>" class="img-path" type="text" size="56" style="direction:ltr; text-laign:left" name="pasargad_options[<?php echo $value['id']; ?>]" value="<?php echo pasargad_get_option($value['id']); ?>" />
<a id="upload_<?php echo $value['id']; ?>_button" class="pasargad-button upimg" >آپلود</a>
<div id="<?php echo $value['id']; ?>-preview" class="img-preview" <?php if(!pasargad_get_option( $value['id'] )) echo 'style="display:none;"' ?>>
<img src="<?php if(pasargad_get_option( $value['id'] )) echo pasargad_get_option( $value['id'] ); else echo get_template_directory_uri().'/panel/images/spacer.png'; ?>" alt="" />
<a class="del-img" title="حذف کردن"></a>
</div>

<?php
break;
} ?>
</div>
<?php
}
?>