<?php
//==============================================================
// @ Panel Field Type
//==============================================================
function pasargad_options($value){ 
?>
<div class="ps-item" id="<?php echo $value['id'] ?>_item" >
<?php
switch ( $value['type'] ) {
//=============================
// @ Textbox
//=============================
case "text":
?>
<?php if ( isset($value['help'])) { ?>
<div class="pasargad-help"><div class="help">
<?php echo $value['help']; ?>
</div></div>
<?php }?>
<?php echo $value['name']; ?><input name="pasargad_options[<?php echo $value['id']; ?>]" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( pasargad_get_option( $value['id'] ) != "") { echo stripslashes(pasargad_get_option( $value['id'])  ); } ?>" />
<?php
if( $value['id']=="slider_tag" || $value['id']=="breaking_tag"){
$tags = get_tags('orderby=count&order=desc&number=70'); ?>
<span class="pr_tags_list" id="<?php echo $value['id']; ?>_tags">
<?php foreach ($tags as $tag){?>
<a style="cursor:pointer" onclick="if(<?php echo $value['id'] ?>.value != ''){ var sep = ' , '}else{var sep = ''} <?php echo $value['id'] ?>.value=<?php echo $value['id'] ?>.value+sep+(this.rel);" rel="<?php echo $tag->name ?>"><?php echo $tag->name ?> - </a>
<?php }?>
<?php }?>
<?php if ( isset($value['desc'])) { ?>
<small class="one"><?php echo $value['desc']; ?></small>
<div class="clear"></div>
<?php } 
break;
//=============================
// @ minitext
//=============================
case "minitext":
?>
<?php echo $value['name']; ?><input name="pasargad_options[<?php echo $value['id']; ?>]" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( pasargad_get_option( $value['id'] ) != "") { echo stripslashes(pasargad_get_option( $value['id'])  ); } ?>" style="font-family:Tahoma"/>
<?php 
break;
//=============================
// @ Textbox(Numeric)
//=============================
case "numeric":
?>
<?php echo $value['name']; ?><input maxlength="<?php echo $value['maxlength']; ?>" onkeyup="this.value = minmax(this.value, <?php echo $value['min']; ?>, <?php echo $value['max']; ?>)" style="width:40px;" name="pasargad_options[<?php echo $value['id']; ?>]" id="<?php echo $value['id']; ?>" class="numeric" type="text" value="<?php if ( pasargad_get_option( $value['id'] ) != "") { echo stripslashes(pasargad_get_option( $value['id'])  ); } ?>" />
<?php if ( isset($value['desc'])) { ?>
<small class="one"><?php echo $value['desc']; ?></small>
<div class="clear"></div>
<?php } 
break;
//=============================
// @ Colorpicker
//=============================
case "colorpicker": ?>
<?php echo $value['name']; ?>
<div id="<?php echo $value['id']; ?>_picker" class="colorSelector">
<div style="background-color: #<?php echo pasargad_get_option($value['id']); ?>"></div>
</div>
<div class="colorSelectorHex">
<input class="picker-input" maxlength="6" style="width:120px" name="pasargad_options[<?php echo $value['id']; ?>]" id="<?php echo $value['id']; ?>_color" type="text" value="<?php echo pasargad_get_option($value['id']); ?>" />
</div>
<?php break;
//=============================
// @ Upload
//=============================
case "upload":
?>
<input id="<?php echo $value['id']; ?>" class="img-path" type="text" size="55" style="direction:ltr;text-align:left" name="pasargad_options[<?php echo $value['id']; ?>]" value="<?php echo pasargad_get_option($value['id']); ?>" />
<a id="upload_<?php echo $value['id']; ?>_button" class="pasargad-button upimg" >آپلود</a>
<div id="<?php echo $value['id']; ?>-preview" class="img-preview" <?php if(!pasargad_get_option( $value['id'] )) echo 'style="display:none;"' ?>>
<img src="<?php if(pasargad_get_option( $value['id'] )) echo pasargad_get_option( $value['id'] );?>">
<a class="delete-img" title="پاک کردن"></a>
</div>
<script type='text/javascript'>
	jQuery('#<?php echo $value['id']; ?>').change(function(){
	jQuery('#<?php echo $value['id']; ?>-preview').show();
	jQuery('#<?php echo $value['id']; ?>-preview img').attr("src", jQuery(this).val());
	});
	pasargad_set_uploader( '<?php echo $value['id']; ?>' );
</script>
<?php 
break;
//=============================
// @ Text Area
//=============================	
case 'textarea': ?>
<?php if ( isset($value['help'])) { ?>
<div class="pasargad-help"><div class="help">
<?php echo $value['help']; ?>
</div></div>
<?php }?>
<?php echo $value['name']; ?><textarea rows="5" name="pasargad_options[<?php echo $value['id']; ?>]" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( pasargad_get_option( $value['id'] ) != "") { echo stripslashes(pasargad_get_option( $value['id']) ); } ?></textarea>
<?php if ( isset($value['desc'])) { ?>
<small class="one"><?php echo $value['desc']; ?></small>
<div class="clear"></div>
<?php }
break;
//=============================
// @ Select
//=============================
case 'select': ?>
<?php echo $value['name']; ?><select name="pasargad_options[<?php echo $value['id']; ?>]" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $key => $option) { ?>
<?php echo $value['name']; ?><option value="<?php echo $key ?>" <?php if (pasargad_get_option( $value['id'] ) == $key) {echo ' selected="selected"'; }?> ><?php echo $option; ?></option> <?php 
} ?>
</select>
<?php if ( isset($value['desc'])) { ?>
<small class="one"><?php echo $value['desc']; ?></small>
<div class="clear"></div>
<?php }
break;
//=============================
// @ Select Multiple Category
//=============================
case 'multiple': ?>
<?php echo $value['name']; ?>
<select multiple="multiple" name="pasargad_options[<?php echo $value['id']; ?>][]" id="<?php echo $value['id']; ?>" >
<?php 
$multiple_categories = get_categories('hide_empty=0&orderby=name');
$multiple_cats = array();
foreach ($multiple_categories as $multiple_list ) {
		$multiple_key = $multiple_list->cat_ID;
		$multiple_cats[$multiple_key] = $multiple_list->cat_name;
}
foreach ($multiple_cats as $key => $option) {?>
<option value="<?php echo $key ?>" <?php if ( @in_array( $key , pasargad_get_option( $value['id'] ) ) ) {echo ' selected="selected"'; }?> >
<?php echo $option; ?></option> 
<?php } ?>
</select>
<?php if ( isset($value['desc'])) { ?>
<small class="one"><?php echo $value['desc']; ?></small>
<div class="clear"></div>
<?php }
break;
//=============================
// @ Background options
//=============================
case 'background':
$boxs_values = pasargad_get_option($value['id']);
?>
<?php echo $value['name']; ?>
<input id="<?php echo $value['id']; ?>" class="img-path" type="text" size="56" style="direction:ltr;text-align:left" name="pasargad_options[<?php echo $value['id']; ?>][img]" value="<?php echo $boxs_values['img']; ?>" />
<a id="upload_<?php echo $value['id']; ?>_button" class="pasargad-button upimg" >آپلود</a>
<div id="<?php echo $value['id']; ?>-preview" class="img-preview" <?php if(!$boxs_values['img']) echo 'style="display:none;"' ?>>
<img src="<?php if( $boxs_values['img'] ) echo $boxs_values['img'] ;?>" alt="" />
<a class="delete-img" title="پاک کردن"></a>
<script type='text/javascript'>
	jQuery('#<?php echo $value['id']; ?>').change(function(){
	jQuery('#<?php echo $value['id']; ?>-preview').show();
	jQuery('#<?php echo $value['id']; ?>-preview img').attr("src", jQuery(this).val());
	});
	pasargad_set_uploader( '<?php echo $value['id']; ?>' );
</script>
</div>
<div style="padding-top:15px;clear:both;overflow:hidden">
<select name="pasargad_options[<?php echo $value['id']; ?>][repeat]" id="<?php echo $value['id']; ?>[repeat]" style="clear:none;margin-right:5px;width:90px;">
<option value="" <?php if ( !$boxs_values['repeat'] ) { echo ' selected="selected"' ; } ?>></option>
<option value="repeat" <?php if ( $boxs_values['repeat']  == 'repeat' ) { echo ' selected="selected"' ; } ?>>repeat</option>
<option value="no-repeat" <?php if ( $boxs_values['repeat']  == 'no-repeat') { echo ' selected="selected"' ; } ?>>no-repeat</option>
<option value="repeat-x" <?php if ( $boxs_values['repeat'] == 'repeat-x') { echo ' selected="selected"' ; } ?>>repeat-x</option>
<option value="repeat-y" <?php if ( $boxs_values['repeat'] == 'repeat-y') { echo ' selected="selected"' ; } ?>>repeat-y</option>
</select>
<select name="pasargad_options[<?php echo $value['id']; ?>][attachment]" id="<?php echo $value['id']; ?>[attachment]" style="clear:none;margin-right:5px;width:90px;">
<option value="" <?php if ( !$boxs_values['attachment'] ) { echo ' selected="selected"' ; } ?>></option>
<option value="fixed" <?php if ( $boxs_values['attachment']  == 'fixed' ) { echo ' selected="selected"' ; } ?>>Fixed</option>
<option value="scroll" <?php if ( $boxs_values['attachment']  == 'scroll') { echo ' selected="selected"' ; } ?>>scroll</option>
</select>
<select name="pasargad_options[<?php echo $value['id']; ?>][pos]" id="<?php echo $value['id']; ?>[pos]" style="clear:none;margin-right:5px;width:90px;">
<option value="" <?php if ( !$boxs_values['pos'] ) { echo ' selected="selected"' ; } ?>></option>
<option value="left" <?php if ( $boxs_values['pos']  == 'left' ) { echo ' selected="selected"' ; } ?>>Left</option>
<option value="right" <?php if ( $boxs_values['pos']  == 'right') { echo ' selected="selected"' ; } ?>>Right</option>
<option value="center" <?php if ( $boxs_values['pos'] == 'center') { echo ' selected="selected"' ; } ?>>Center</option>
</select>
<select name="pasargad_options[<?php echo $value['id']; ?>][pos2]" id="<?php echo $value['id']; ?>[pos2]" style="clear:none;margin-right:5px;width:90px;">
<option value="" <?php if ( !$boxs_values['pos2'] ) { echo ' selected="selected"' ; } ?>></option>
<option value="top" <?php if ( $boxs_values['pos2']  == 'top' ) { echo ' selected="selected"' ; } ?>>Top</option>
<option value="center" <?php if ( $boxs_values['pos2'] == 'center') { echo ' selected="selected"' ; } ?>>Center</option>
<option value="bottom" <?php if ( $boxs_values['pos2']  == 'bottom') { echo ' selected="selected"' ; } ?>>Bottom</option>
</select>
<input style="clear:none;margin-right:5px;width:90px;font-family:tahoma" name="pasargad_options[<?php echo $value['id']; ?>][color]" id="<?php echo $value['id']; ?>_color" type="text" value="<?php echo $boxs_values['color'] ; ?>" />
<div id="<?php echo $value['id']; ?>_picker" class="colorSelector">
<div style="background-color: #<?php echo $boxs_values['color'] ; ?>"></div>
</div>
</div>
<?php
break;
//=============================
// @ Checkbox
//=============================
case "checkbox": ?>
<?php
if(pasargad_get_option($value['id'])){ $checked = ' checked="checked"'; }else{ $checked = "";} ?>
<?php echo $value['name']; ?>
<div class="checkbox-wrapper" style="float:left;">
<input class="toggleswitch-big" type="checkbox" name="pasargad_options[<?php echo $value['id']; ?>]" id="<?php echo $value['id']; ?>" <?php echo $checked; ?> />
</div>
<?php 
break;
//=============================
// @ Radio
//=============================
case "radio": ?>
<div class="radio-input">
<h5 style="font:15px BYekan,tahoma;font-weight:700"><?php echo $value['name']; ?></h5>
<?php foreach ($value['options'] as $key => $option) { ?>
<div class="radio-wrapper">
<label style="display:block;" id="<?php echo $value['id'] . "_" . $key; ?>"><input name="pasargad_options[<?php echo $value['id']; ?>]" id="<?php echo $value['id']; ?>" type="radio"  value="<?php echo $key ?>"  <?php if (pasargad_get_option( $value['id'] ) == $key) {echo ' checked="checked"'; }?>/><?php echo $option; ?></label>
</div>
<?php }?>
</div>
<?php if ( isset($value['desc'])) { ?>
<small class="one"><?php echo $value['desc']; ?></small>
<div class="clear"></div>
<?php }
break;
//=============================
// @ Editor
//=============================
case "editor":?>
<?php
$ps_op = pasargad_options;
$ps_id = $value['id'];
$settings = array(
			'textarea_name' => $ps_op.'['.$ps_id.']',
			'quicktags'     => array( 'buttons' => 'em,strong,link' ),
			'tinymce'       => true,
		
		);
$content = htmlspecialchars_decode(pasargad_get_option($value['id']));
		wp_editor( $content , $value['id'], $settings  );
?>
<?php
break;
//=============================
// @ Query
//=============================
case "query": ?>
<?php break;
}
?>
<div class="clear"></div>
</div><?php
}