<?php
/********************************************************
These shortcodes created by parsthemes.com 
Email: mr.4fshin@ymail.com
URL  : http://www.parsthemes.com/
********************************************************/
// Filter Functions with Hooks
function pasargad_custom_mce_button() {
  // Check if user have permission
  if ( !current_user_can( 'edit_posts' ) && !current_user_can( 'edit_pages' ) ) {
    return;
  }
  // Check if WYSIWYG is enabled
  if ( 'true' == get_user_option( 'rich_editing' ) ) {
    add_filter( 'mce_external_plugins', 'pasargad_custom_tinymce_plugin' );
    add_filter( 'mce_buttons_3', 'pasargad_register_mce_button' );
  }
}
add_action('admin_head', 'pasargad_custom_mce_button');
function pasargad_custom_tinymce_plugin( $plugin_array ) {
  $plugin_array['custom_mce_button'] = get_template_directory_uri() .'/pasargad_framework/shortcodes/pscustomcodes.js';
  return $plugin_array;
}
// Register new button in the editor
function pasargad_register_mce_button( $buttons ) {
  array_push( $buttons, 'custom_mce_button','passargad_video_mce_button' );
  return $buttons;
}
function pasargad_custom_css_mce_button() {
    wp_enqueue_style('symple_shortcodes-tc', get_template_directory_uri() .'/pasargad_framework/shortcodes/shortcodes.css');
}
add_action('admin_enqueue_scripts', 'pasargad_custom_css_mce_button');
?>