<?php
add_action( 'widgets_init', 'pasargad_ads_widget' );
function pasargad_ads_widget() {
	register_widget( 'ads_box' );
}
class ads_box extends WP_Widget {
	function ads_box() {
		$widget_ops = array( 'classname' => 'ads-widget');
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_ads_box-widget' );
		$this->WP_Widget( 'pasargad_ads_box-widget','9_تبلیغ بنری', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['title'] );
	echo $before_widget; 
	echo $before_title; 
	echo $title ; 
	echo $after_title; 
?>
<div class="ads-box">
<?php for($i=1 ; $i<11 ; $i++ ){ ?>
<?php if( $instance[ 'ads'.$i.'_code' ] ){ ?>
<?php echo do_shortcode( $instance[ 'ads'.$i.'_code' ] ); ?>
<?php } elseif( $instance[ 'ads'.$i.'_img' ] ){ ?>
<?php if( $instance[ 'ads'.$i.'_url' ] ){ ?>
<a href="<?php echo $instance[ 'ads'.$i.'_url' ] ?>" target="_blank" title="تبلیغات" <?php if( $instance[ 'ads'.$i.'_n' ] ){ ?>rel="nofollow"<?php }?>>
<?php } ?>
<img src=" <?php echo $instance[ 'ads'.$i.'_img' ] ?> " title="تبلیغات" alt="تبلیغات">
<?php if( $instance[ 'ads'.$i.'_url' ] ){ ?>
</a>
<?php } ?>
<?php
}
} ?>
</div>
<?php 
	echo $after_widget;
}
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		

		for($i=1 ; $i<11 ; $i++ ){ 
			$instance['ads'.$i.'_img'] = strip_tags( $new_instance['ads'.$i.'_img'] );
			$instance['ads'.$i.'_url'] = strip_tags( $new_instance['ads'.$i.'_url'] );
			$instance['ads'.$i.'_code'] =  $new_instance['ads'.$i.'_code'] ;
			$instance['ads'.$i.'_n'] =  $new_instance['ads'.$i.'_n'] ;
		}
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'title' => 'تبلیغات' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
<div class="pasargad-widget">
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان : </label>
<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>"  type="text" />
</p>
<?php 
	for($i=1 ; $i<11 ; $i++ ){ ?>
<div class="wid-item">
<span>تبلیغ <?php echo $i; ?> : </span>
<p>
<span>افزودن nofollow به لینک (پیشنهاد می شود) </span><input id="<?php echo $this->get_field_id( 'ads'.$i.'_n' ); ?>" name="<?php echo $this->get_field_name( 'ads'.$i.'_n' ); ?>" value="true" <?php if( !empty( $instance['ads'.$i.'_n'] ) ) echo 'checked="checked"'; ?> type="checkbox" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'ads'.$i.'_img' ); ?>">بنر تبلیغ <?php echo $i; ?> : </label>
<input id="<?php echo $this->get_field_id( 'ads'.$i.'_img' ); ?>" name="<?php echo $this->get_field_name( 'ads'.$i.'_img' ); ?>" value="<?php echo $instance['ads'.$i.'_img']; ?>" type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'ads'.$i.'_url' ); ?>">لینک تبلیغ <?php echo $i; ?> : </label>
<input id="<?php echo $this->get_field_id( 'ads'.$i.'_url' ); ?>" name="<?php echo $this->get_field_name( 'ads'.$i.'_url' ); ?>" value="<?php echo $instance['ads'.$i.'_url']; ?>"  type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'ads'.$i.'_code' ); ?>">یا کد تبلیغ <?php echo $i; ?> : </label>
<textarea id="<?php echo $this->get_field_id( 'ads'.$i.'_code' ); ?>" name="<?php echo $this->get_field_name( 'ads'.$i.'_code' ); ?>"  ><?php echo $instance['ads'.$i.'_code']; ?></textarea>
</p>
</div>
<?php } ?>
</div>
<?php
}
}
?>