<?php
add_action( 'widgets_init', 'pasargad_btn_widget' );
function pasargad_btn_widget() {
	register_widget( 'pasargad_btn_widget' );
}
class pasargad_btn_widget extends WP_Widget {

	function pasargad_btn_widget() {
		$widget_ops = array( 'classname' => 'widget-btn'  );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_btn-widget' );
		$this->WP_Widget( 'pasargad_btn-widget','22_دکمه های درخواست', $widget_ops, $control_ops );
	}
	
function widget( $args, $instance ) {
		extract( $args );
	$film = $instance['film'];	
	$filmu = $instance['filmu'];
	$music = $instance['music'];
	$musicu = $instance['musicu'];
	$vip = $instance['vip'];
	$vipu = $instance['vipu'];
	$srch = $instance['srch'];
?>
<div class="request-buttons">
<?php if($film):?>
<div class="movie-request"><i class="movie-request-icon"></i><a href="<?php echo $filmu ?>" title="درخواست فیلم" rel="nofollow"><span>درخواست فیلم</span></a></div>
<?php endif;if($music):?>
<div class="music-request"><i class="music-request-icon"></i><a href="<?php echo $musicu ?>" title="درخواست موزیک" rel="nofollow"><span>درخواست موزیک</span></a></div>
<?php endif;if($vip):?>
<div class="vip-request"><i class="vip-icon"></i><a href="<?php echo $vipu ?>" title="اکانت وی آی پی" rel="nofollow"><span>اکانت وی آی پی</span></a></div>
<?php endif;if($srch):?>
<div class="search"><i class="search-icon"></i><a href="<?php echo home_url(); ?>/?s=" title="جستجوی پیشرفته" rel="nofollow"><span>جستجو پیشرفته</span></a></div>
<?php endif;?>
</div>	
<?php 
}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['music'] = $new_instance['music'];
		$instance['film'] = $new_instance['film'];
		$instance['vip'] = $new_instance['vip'];
		$instance['musicu'] = $new_instance['musicu'];
		$instance['filmu'] = $new_instance['filmu'];	
		$instance['vipu'] = $new_instance['vipu'];	
		$instance['srch'] = $new_instance['srch'];			
		return $instance;
	}

	function form( $instance ) {
		$defaults = array('city' => 'تهران' );
		$instance = wp_parse_args( (array) $instance, $defaults ); 
		
?>
<div class="pasargad-widget">
<p>
<label for="<?php echo $this->get_field_id( 'srch' ); ?>">جستجوی پیشرفته</label>
<input id="<?php echo $this->get_field_id( 'srch' ); ?>" name="<?php echo $this->get_field_name( 'srch' ); ?>" value="true" <?php if( $instance['srch'] ) echo 'checked="checked"'; ?> type="checkbox" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'music' ); ?>">درخواست موزیک</label>
<input id="<?php echo $this->get_field_id( 'music' ); ?>" name="<?php echo $this->get_field_name( 'music' ); ?>" value="true" <?php if( $instance['music'] ) echo 'checked="checked"'; ?> type="checkbox" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'film' ); ?>">درخواست فیلم</label>
<input id="<?php echo $this->get_field_id( 'film' ); ?>" name="<?php echo $this->get_field_name( 'film' ); ?>" value="true" <?php if( $instance['film'] ) echo 'checked="checked"'; ?> type="checkbox" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'vip' ); ?>">درخواست vip</label>
<input id="<?php echo $this->get_field_id( 'vip' ); ?>" name="<?php echo $this->get_field_name( 'vip' ); ?>" value="true" <?php if( $instance['vip'] ) echo 'checked="checked"'; ?> type="checkbox" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'musicu' ); ?>">لینک صفحه ی درخواست موزیک</label>
<input id="<?php echo $this->get_field_id( 'musicu' ); ?>" name="<?php echo $this->get_field_name( 'musicu' ); ?>" value="<?php echo $instance['musicu']; ?>" type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'filmu' ); ?>">لینک صفحه ی درخواست فیلم</label>
<input id="<?php echo $this->get_field_id( 'filmu' ); ?>" name="<?php echo $this->get_field_name( 'filmu' ); ?>" value="<?php echo $instance['filmu']; ?>" type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'vipu' ); ?>">لینک صفحه ی vip</label>
<input id="<?php echo $this->get_field_id( 'vipu' ); ?>" name="<?php echo $this->get_field_name( 'vipu' ); ?>" value="<?php echo $instance['vipu']; ?>" type="text" />
</p>
</div>
<div class="clear"></div>
<?php
	}
}
?>