<?php
add_action( 'widgets_init', 'pasargad_cat_widget' );
function pasargad_cat_widget() {
	register_widget( 'cat_posts' );
}
class cat_posts extends WP_Widget {

	function cat_posts() {
		$widget_ops = array( 'classname' => 'widget-categories-list' );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_cat-widget' );
		$this->WP_Widget( 'pasargad_cat-widget','1_موضوعات', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['title'] );

?>
<div class="block">
<div class="title categories-list"><i class="title-icon"></i><h4><?php echo $instance['title']; ?></h4></div>
<div class="categories">
<ul>
<?php wp_list_categories('orderby=name&hide_empty=0&title_li='); ?> 
</ul>
</div>
</div>
<?php 
		
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'title' => 'موضوعات' ,  );
		$instance = wp_parse_args( (array) $instance, $defaults );
?>
<div class="pasargad-widget">
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان : </label>
<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>"  type="text" />
</p>
</div>
	<?php
	}
}
?>