<?php
add_action( 'widgets_init', 'pasargad_comments_avatar_widget' );
function pasargad_comments_avatar_widget() {
	register_widget( 'pasargad_comments_avatar' );
}
class pasargad_comments_avatar extends WP_Widget {

	function pasargad_comments_avatar() {
		$widget_ops = array( 'classname' => 'comments-list' );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_comments_avatar-widget' );
		$this->WP_Widget( 'pasargad_comments_avatar-widget','8_دیدگاه های اخیر همراه با آواتار', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

	$title = apply_filters('widget_title', $instance['title'] );
	$comments_number = $instance['comments_number'];
	$avatar_size = $instance['avatar_size'];
	$avatar_active = $instance['avatar_active'];

	echo $before_widget; 
	echo $before_title; 
	echo $title ; 
	echo $after_title; 
?>
<div id="comment-slider" class="owl-carousel">
<?php pasargad_most_commented( $comments_number , $avatar_active, $avatar_size); ?>
</div>
<script>
	jQuery(document).ready(function() {
	var owl = jQuery("#comment-slider");
	owl.owlCarousel({
		autoPlay: true,
		autoPlay : 3200,
		slideSpeed: 500,
		pagination : true,
		navigation : false,
		singleItem : true,
		transitionStyle : "goDown"
		});
	});
</script>
<?php 
	echo $after_widget;
}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['comments_number'] = strip_tags( $new_instance['comments_number'] );
		$instance['avatar_size'] = strip_tags( $new_instance['avatar_size'] );
		$instance['avatar_active'] = strip_tags( $new_instance['avatar_active'] );
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'title' => 'نظرات اخیر' , 'comments_number' => '5' , 'avatar_active' => 'true' , 'avatar_size' => '50' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
<div class="pasargad-widget">
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان : </label>
<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>"  type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'avatar_active' ); ?>">نمایش آواتار : </label>
<input id="<?php echo $this->get_field_id( 'avatar_active' ); ?>" name="<?php echo $this->get_field_name( 'avatar_active' ); ?>" value="true" <?php if( $instance['avatar_active'] ) echo 'checked="checked"'; ?> type="checkbox" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'avatar_size' ); ?>"> سایز آواتار : </label>
<input id="<?php echo $this->get_field_id( 'avatar_size' ); ?>" name="<?php echo $this->get_field_name( 'avatar_size' ); ?>" value="<?php echo $instance['avatar_size']; ?>"  type="text" size="3" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'comments_number' ); ?>">تعداد نظرات برای نمایش :  </label>
<input id="<?php echo $this->get_field_id( 'comments_number' ); ?>" name="<?php echo $this->get_field_name( 'comments_number' ); ?>" value="<?php echo $instance['comments_number']; ?>" type="text" size="3" />
</p>
</div>
<div class="clear"></div>
<?php
}
}
?>