<?php
add_action( 'widgets_init', 'pasargad_music_widget' );
function pasargad_music_widget() {
	register_widget( 'pasargad_music' );
}
class pasargad_music extends WP_Widget {

	function pasargad_music() {
		$widget_ops = array( 'classname' => 'music-widget'  );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_music-widget' );
		$this->WP_Widget( 'pasargad_music-widget','16_موزیک برتر', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', $instance['text_html_title'] );
		$url = $instance['url'];
		$singer = $instance['singer'];
		$singer_name = $instance['singer_name'];
		$music_name = $instance['music_name'];

		echo $before_widget;
		echo $before_title;
		echo $title ; 
		echo $after_title;
?>
<div class="music-box">
<?php if( $instance[ 'singer' ] ){ ?>
<figure>
<img src="<?php echo $singer ?>" title="<?php echo $singer_name ?>" alt="<?php echo $singer_name ?>" width="120" height="120"/>
</figure>
<div class="clear"></div>
<?php } ?>
<ul>
<?php if( $instance[ 'music_name' ] ){ ?>
<li>نام آهنگ : <?php echo $music_name?></li>
<?php }?>
<?php if( $instance[ 'singer_name' ] ){ ?>
<li>نام خواننده : <?php echo $singer_name ?> <a href="<?php echo $url ?>" target="_blank" title="دانلود آهنگ"  rel="nofollow">( دانلود ! )</a></li>
<?php }?>
</ul>
<audio controls="">
<source src="<?php echo $url ?>" type="audio/mpeg">
</audio>
</div>
<?php 
	echo $after_widget;
}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['text_html_title'] = strip_tags( $new_instance['text_html_title'] );
		$instance['url'] = $new_instance['url'] ;
		$instance['singer'] = $new_instance['singer'] ;
		$instance['music_name'] = $new_instance['music_name'] ;
		$instance['singer_name'] = $new_instance['singer_name'] ;
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'text_html_title' => 'موزیک'  );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<div class="pasargad-widget">
		<p>
			<label for="<?php echo $this->get_field_id( 'text_html_title' ); ?>">عنوان : </label>
			<input id="<?php echo $this->get_field_id( 'text_html_title' ); ?>" name="<?php echo $this->get_field_name( 'text_html_title' ); ?>" value="<?php echo $instance['text_html_title']; ?>" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'url' ); ?>">لینک آنلاین آهنگ :</label>
			<input id="<?php echo $this->get_field_id( 'url' ); ?>" name="<?php echo $this->get_field_name( 'url' ); ?>" value="<?php echo $instance['url']; ?>" type="text"/>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'music_name' ); ?>">نام آهنگ : </label>
			<input id="<?php echo $this->get_field_id( 'music_name' ); ?>" name="<?php echo $this->get_field_name( 'music_name' ); ?>" value="<?php echo $instance['music_name']; ?>" type="text"/>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'singer_name' ); ?>">نام خواننده : </label>
			<input id="<?php echo $this->get_field_id( 'singer_name' ); ?>" name="<?php echo $this->get_field_name( 'singer_name' ); ?>" value="<?php echo $instance['singer_name']; ?>" type="text"/>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'singer' ); ?>">عکس خواننده</label>
			<input id="<?php echo $this->get_field_id( 'singer' ); ?>" name="<?php echo $this->get_field_name( 'singer' ); ?>" value="<?php echo $instance['singer']; ?>" type="text"/>
		</p>
	
</div>

	<?php
	}
}
?>