<?php
//********************************************************
//@ This review Compatibled by parsthemes.com
//@ Email: mr.4fshin@ymail.com
//@ URL  : http://www.parsthemes.com/
//*******************************************************/
//////////////////////////////////////////////////////////
// @ Review functions
/////////////////////////////////////////////////////////
function pasargad_get_review(){
	global $post ;
	if( function_exists('bp_current_component') && bp_current_component() ) $current_id = get_queried_object_id();
	else $current_id = $post->ID;
	
	$get_meta = get_post_custom( $current_id );
	$criterias = unserialize( $get_meta['pasargad_review_criteria'][0] );
	$summary = $get_meta['pasargad_review_summary'][0] ;
	$short_summary = $get_meta['pasargad_review_total'][0] ;
	$style = $get_meta['pasargad_review_style'][0];
	$total_counter = $score = 0;
	?>
<div class="review-post <?php echo $position; if( $style == 'percentage' ) echo ' review-percentage'; elseif( $style == 'points' ) echo ' review-percentage'; else echo ' review-stars'?>">
<div class="review-title"><span>بررسی مطلب</span></div>
<div class="content">
<?php
	if( !empty($criterias) && is_array($criterias) ){
		foreach( $criterias as $criteria){ 
			if( $criteria['name'] && $criteria['score'] && is_numeric( $criteria['score'] )){
				if( $criteria['score'] > 100 ) $criteria['score'] = 100;
				if( $criteria['score'] < 0 ) $criteria['score'] = 1;
				
			$score += $criteria['score'];
			$total_counter ++;
		?>
		<?php if( $style == 'percentage' ): ?>
		<div class="review-item">
			<h5><?php echo $criteria['name'] ?><span><?php echo $criteria['score'] ?>%</span></h5>
			<span><span style="width:<?php echo $criteria['score'] ?>%"></span></span>
		</div>
		<?php elseif( $style == 'points' ):   $point =  $criteria['score']/10; ?>
		<div class="review-item">
			<h5><?php echo $criteria['name'] ?><span><?php echo $point ?></span></h5>
			<span><span style="width:<?php echo $criteria['score'] ?>%"></span></span>
		</div>
		<?php else: ?>
		<div class="review-list">
			<h5><?php echo $criteria['name'] ?></h5>
			<span class="stars-large"><span style="width:<?php echo $criteria['score'] ?>%"></span></span>
		</div>
		<?php endif; ?>
		<?php }
		}
	}
		if( !empty( $score ) && !empty( $total_counter ) )
			$total_score =  $score / $total_counter ;
?>
<div class="review-summary">
<?php if( $style == 'percentage' ): ?>
<div class="review-total-score">
<h3><?php echo round($total_score) ?><span>%</span></h3>
<h4><?php echo $short_summary; ?></h4>
</div>
<?php elseif( $style == 'points' ): $total_score = $total_score/10 ; ?>
<div class="review-total-score">
<h3><?php echo round($total_score,1) ?></h3>
<h4><?php echo $short_summary; ?></h4>
</div>
<?php else: ?>
<div class="review-total-score">
<span title="<?php echo $short_summary ?>" class="stars-large"><span style="width:<?php echo $total_score ?>%"></span></span>
<h4><?php echo $short_summary; ?></h4>
<h3><span><?php echo round($total_score) ?></span></h3>
</div>
<?php endif; ?>
<div class="review-short-summary">
مجموع امتیازات : 
</div>
</div>
</div>
</div>
<?php 
}
/////////////////////////////////////////////////////////
// @ Total Score
/////////////////////////////////////////////////////////
function pasargad_get_score( $large = false){
	global $post ;
	$get_meta = get_post_custom($post->ID);
	if( !empty( $get_meta['pasargad_review_position'][0] ) ){
		$short_summary = $get_meta['pasargad_review_total'][0] ;
		$total_score = $get_meta['pasargad_review_score'][0];
		
		if( $large ) $size ="large"; else $size ="small";
	?>
	<span title="<?php echo $short_summary ?>" class="stars-<?php echo $size ?>"><span style="width:<?php echo $total_score ?>%"></span></span>
	<?php 
	}
}
/////////////////////////////////////////////////////////
// @ Update Scores
/////////////////////////////////////////////////////////
function pasargad_update_score( $large = false){
	$get_meta = get_post_custom($post->ID);

	$total_counter = $score = 0;
	$criterias = unserialize( $get_meta['pasargad_review_criteria'][0] );
	foreach( $criterias as $criteria){ 
		if( $criteria['name'] && $criteria['score'] && is_numeric( $criteria['score'] )){
			if( $criteria['score'] > 100 ) $criteria['score'] = 100;
			if( $criteria['score'] < 0 ) $criteria['score'] = 1;
				
		$score += $criteria['score'];
		$total_counter ++;
		}
	}
	if( !empty( $score ) && !empty( $total_counter ) )
		$total_score =  $score / $total_counter ;
	
	update_post_meta($post->ID, 'pasargad_review_score', $total_score);
}
?>