<?php
//==============================================================
// @ Facebook counts 
//==============================================================
function pasargad_sc_facebook ($page_id, $return = 'count') {
$count =  get_transient('pasargad_facebook_followers');
$link =  get_transient('pasargad_facebook_page_url');
if ($return == 'link') {
if ($link !== false) return $link;
} else {
if ($count !== false) return $count;
}
$count = 0;
$link = '';
$data = wp_remote_get('http://graph.facebook.com/'.$page_id.'');
	if (!is_wp_error($data)) {
		$json = json_decode( $data['body'], true );
		$count = intval($json['likes']);
		$link = 'https://facebook.com/'.$page_id.'';
                set_transient('pasargad_facebook_followers', $count, 1);
                set_transient('pasargad_facebook_page_url', $link, 1);
    }
    if ($return == 'link') {
        return $link;
    } else {
        return $count;
    }
}
//==============================================================
// @ Google plus counts
//==============================================================
function pasargad_sc_googleplus ($page_id, $return = 'count') {
$count =  get_transient('pasargad_googleplus_followers');
$link =  get_transient('pasargad_googleplus_page_url');
if ($return == 'link') {
if ($link !== false) return $link;
} else {
if ($count !== false) return $count;
}
$count = 0;
$link = '';
$data = wp_remote_get('https://www.googleapis.com/plus/v1/people/'.$page_id.'?key=AIzaSyA1hsdPPNpkS3lvjohwLNkOnhgsJ9YCZWw');
	if (!is_wp_error($data)) {
		$json = json_decode( $data['body'], true );
		$count = isset($json['plusOneCount']) ? intval($json['plusOneCount']) : intval($json['circledByCount']);
		$link = 'https://www.googleapis.com/'.$page_id.'';
                set_transient('pasargad_googleplus_followers', $count, 3600);
                set_transient('pasargad_googleplus_page_url', $link, 3600);
    }
    if ($return == 'link') {
        return $link;
    } else {
        return $count;
    }
}
//==============================================================
// @ Instagram counts
//==============================================================
function pasargad_sc_instagram ($instagram, $return = 'count') {
$count =  get_transient('pasargad_instagram_followers');
$link =  get_transient('pasargad_instagram_page_url');
if ($return == 'link') {
if ($link !== false) return $link;
} else {
if ($count !== false) return $count;
}
$count = 0;
$link = '';
$access_token = 1;

if ($access_token != '') {
//instagram
$instID_url = wp_remote_get('https://api.instagram.com/v1/users/search?q='.$instagram.'&access_token=30893233.5ccd4be.b5c20ef113624b6f992e367eaa125d9d');
$instID_json = json_decode( $instID_url['body'], true );
$instID = $instID_json['data'][0]['id'];
$data = wp_remote_get('https://api.instagram.com/v1/users/'.$instID.'/?access_token=30893233.5ccd4be.b5c20ef113624b6f992e367eaa125d9d');
    if (!is_wp_error($data)) {
        $json = json_decode( $data['body'], true );
        $count = intval($json['data']['counts']['followed_by']);
        $link = 'http://instagram.com/'.$instagram;
        set_transient('pasargad_instagram_followers', $count, 3600);
        set_transient('pasargad_instagram_page_url', $link, 3600);
    } 
}
    if ($return == 'link') {
        return $link;
    } else {
        return $count;
    }
}
//==============================================================
// @ Twitter counts
//==============================================================
function pasargad_sc_twitter ($user) {
$count =  get_transient('pasargad_twitter_followers');
if ($count !== false) return $count;
$count = 0;
if (pasargad_get_option('twitter_ck') != '' && pasargad_get_option('twitter_cs') != '' && pasargad_get_option('twitter_at') != '' && pasargad_get_option('twitter_ats') != '') {
include (get_template_directory() . '/pasargad_framework/functions/TwitterAPIExchange.php');
$settings = array(
'consumer_key' => pasargad_get_option('twitter_ck'),
'consumer_secret' => pasargad_get_option('twitter_cs'),
'oauth_access_token' => pasargad_get_option('twitter_at'),
'oauth_access_token_secret' => pasargad_get_option('twitter_ats'),
);
$pasargad_twitter_url = 'https://api.twitter.com/1.1/statuses/user_timeline.json';
$getfield = '?screen_name='.$user;
$requestMethod = 'GET';
$twittern = new TwitterAPIExchange($settings);
$follow_count=$twittern->setGetfield($getfield)
->buildOauth($pasargad_twitter_url, $requestMethod)
->performRequest();
$data = json_decode($follow_count, true);
$count = $data[0]['user']['followers_count'];
}
set_transient('pasargad_twitter_followers', $count, 60*60*24);
return $count;
}
//==============================================================
// @ Delet cache js & function
//==============================================================
if ('widgets.php' == basename($_SERVER['PHP_SELF'])) {
        add_action( 'admin_enqueue_scripts', 'pasargad_scw_admin_script');
}
function pasargad_scw_admin_script(){
	wp_enqueue_script( 'social-counter-widget', get_template_directory_uri() . '/js/sc-cache.js', array('jquery'));
	wp_localize_script( 'social-counter-widget', 'PasargadSCW', array(
	'url' => admin_url( 'admin-ajax.php' ),
	'nonce' => wp_create_nonce( 'ajax-nonce' ),
	)
);
}
// ajax Action
add_action( 'wp_ajax_pasargad_scwdc', 'pasargad_social_counter_delete_cache' );  

function pasargad_social_counter_delete_cache () {
$nonce = $_POST['nonce'];
if ( ! wp_verify_nonce( $nonce, 'ajax-nonce' ) )
die ( '' );
        
        delete_transient('pasargad_twitter_followers');
        delete_transient('pasargad_facebook_followers');
        delete_transient('pasargad_facebook_page_url');
        delete_transient('pasargad_googleplus_followers');
        delete_transient('pasargad_googleplus_page_url');
        delete_transient('pasargad_instagram_followers');
        delete_transient('pasargad_instagram_page_url');
        echo 'موفقیت آمیز';
        exit();
}