<?php 
//==============================================================
// @ This panel created by parsthemes.com
// @ Email: mr.4fshin@ymail.com
// @ URL  : http://www.parsthemes.com/
//==============================================================

$pasargad_themename = PASARGADTHEMENAME;
$pasargad_shortname = PASARGADSHORTNAME . "_";
$pasargad_pagename = 'pasargad-panel';

//==============================================================
// @ Add menu 
//==============================================================

function pasargad_add_admin() {
$data = $_POST;
global $pasargad_themename,$pasargad_shortname,$pasargad_defaultSettings,$pasargad_array_options,$pasargad_pagename;

add_menu_page($pasargad_themename, $pasargad_themename, 'administrator', $pasargad_pagename, 'pasargad_admin', get_template_directory_uri() . '/pasargad_framework/panel/images/setting16.png');
add_submenu_page($pasargad_pagename,' تنظیمات پوسته ',$pasargad_themename,'administrator', $pasargad_pagename , 'pasargad_admin');
add_submenu_page($pasargad_pagename, "دیگر قالب های وردپرس", "دیگر قالب های وردپرس", 'administrator', 'pasargad-redirect', "documentationFunction");

//=========
// @ Reset
//=========

if( isset($_GET['page']) && isset($_REQUEST['action']) && $_GET['page'] == "pasargad-panel" && $_REQUEST['action'] == "pasargad_reset_data") {
pasargad_save_panel('reset', $pasargad_defaultSettings);
}
}
function documentationFunction() { 
	$URL = 'http://www.parsthemes.com';
	echo '<script type="text/javascript">jQuery(document).ready(function(){location = "' . $URL . '";});</script>';
}

//==============================================================
// @ Options array
//==============================================================

$pasargad_array_options = array(
							'pasargad_options',
							'pasargad_boxs',
							'pasargad_slider',
							);
							
//==============================================================
// @ Clean options before save
//==============================================================

function pasargad_clean_options(&$value) {
  $value = htmlspecialchars(stripslashes($value));
}

//==============================================================
// @ Save functions
//==============================================================

function pasargad_save_panel (  $data , $refresh = 0 ) {
	global $pasargad_array_options ;
	foreach( $pasargad_array_options as $option ){
		if( isset( $data[$option] )){
			array_walk_recursive( $data[$option] , 'pasargad_clean_options');
			update_option( $option ,  $data[$option] );
		}
		elseif( !isset( $data[$option] ) && $option != 'pasargad_options' ){
			delete_option($option);
		}		
	}
	if( $refresh == 2 )  die('2');
	elseif( $refresh == 1 )	die('1');
}
add_action('wp_ajax_pasargad_save_data', 'pasargad_ajax_save_panel');
function pasargad_ajax_save_panel() {
	check_ajax_referer('pasargad_save_data', 'ps_saving');
	$data = $_POST;
	$refresh = 1;
	if( !empty( $data['pasargad_restore'] ) ){
		$refresh = 2;
		$data = unserialize(base64_decode( $data['pasargad_restore'] ));
	}
	pasargad_save_panel ($data , $refresh );
}
if ('pasargad_reset_data' == $_REQUEST['action'] && check_admin_referer('pasargad-reset-code' , 'pasargad_nonce') ) {
		foreach ($pasargad_array_options as $option) {
			if( isset( $data[$option] )){
				array_walk_recursive( $data[$option] , 'pasargad_clean_options');
				update_option($option ,  $data[$option]);	
			}else{	
				delete_option($option);
			}
		}
		header("Location: admin.php?page=pasargad-panel&reset=true");
		if($from == "direct"){
		}
		die("reset!");
	}

//==============================================================
// @ Register Script, CSS, etc
//==============================================================

function pasargad_add_init(){
global $pasargad_pagename;
$file_dir = get_template_directory_uri();
wp_enqueue_style("pasargad-panel-style", $file_dir."/pasargad_framework/panel/panel-css.css", false, "1.0", "all");
wp_enqueue_script("pasargad-panel-js", $file_dir."/pasargad_framework/panel/js/panel-script.js", array( 'jquery', 'jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-mouse', 'jquery-ui-sortable' ) , false , false);
wp_register_script( 'pasargad-checkbox', get_template_directory_uri() . '/pasargad_framework/panel/js/jquery.toggleswitch.js', array( 'jquery' ) , false , false );  
wp_register_script( 'pasargad-colorpicker', get_template_directory_uri() . '/pasargad_framework/panel/js/colorpicker.js', array( 'jquery' ) , false , false );  
wp_enqueue_script( 'pasargad-checkbox' ); 
wp_enqueue_script( 'pasargad-colorpicker' ); 
wp_print_scripts('media-upload');
wp_enqueue_script('thickbox');
wp_enqueue_style('thickbox');
do_action('admin_print_styles');
}
add_action( 'admin_enqueue_scripts', 'pasargad_add_init' ); 

//==============================================================
// @ Wordpress categories
//==============================================================

$categories = get_categories('hide_empty=0&orderby=name');
$pasargad_wp_cats = array();
$pasargad_wp_cats ['']= "همه ی موضوعات";
foreach ($categories as $category_list ) {
		$cat_key = $category_list->cat_ID;
		$pasargad_wp_cats[$cat_key] = $category_list->cat_name;
}
$categories2 = get_categories('hide_empty=0&orderby=name');
$pasargad_wp_cats2 = array();
foreach ($categories2 as $category_list2 ) {
		$cat_key2 = $category_list2->cat_ID;
		$pasargad_wp_cats2[$cat_key2] = $category_list2->cat_name;
}
?>