<?php

add_action( 'widgets_init', 'pasargad_facebook_widget_box' );
function pasargad_facebook_widget_box() {
	register_widget( 'pasargad_facebook_widget' );
}
class pasargad_facebook_widget extends WP_Widget {

	function pasargad_facebook_widget() {
		$widget_ops = array( 'classname' => 'facebook-widget' );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_facebook-widget' );
		$this->WP_Widget( 'pasargad_facebook-widget','13_جعبه ی لایک فیس بوک', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', $instance['title'] );
		$page_url = $instance['page_url'];

?>
<div class="block">
<div class="content facebook-box">
<script>
(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.0";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));
</script>
<div id="fb-root"></div>
<div class="fb-like-box" data-href="<?php echo $page_url ; ?>" data-width="240" data-height="320" data-colorscheme="light" data-show-faces="true" data-header="true" data-stream="false" data-show-border="false"></div>
</div>
</div>
<?php 
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['page_url'] = strip_tags( $new_instance['page_url'] );
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'title' => 'ما را در فیس بوک پیدا کنید' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
<div class="pasargad-widget">
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان : </label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'page_url' ); ?>">آدرس پیچ شما : </label>
			<input id="<?php echo $this->get_field_id( 'page_url' ); ?>" name="<?php echo $this->get_field_name( 'page_url' ); ?>" value="<?php echo $instance['page_url']; ?>" class="widefat" type="text" />
		</p>

</div>
<div class="clear"></div>
	<?php
	}
}
?>