<?php
add_action( 'widgets_init', 'pasargad_feedburner_widget_box' );
function pasargad_feedburner_widget_box() {
	register_widget( 'feedburner_widget' );
}
class feedburner_widget extends WP_Widget {

	function feedburner_widget() {
		$widget_ops = array( 'classname' => 'feedburner-newslater');
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_widget-feedburner' );
		$this->WP_Widget( 'pasargad_widget-feedburner','11_خبرنامه ی فیدبرنر گوگل', $widget_ops, $control_ops  );
	}
	
	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['title'] );
		if( function_exists('feedburner-desc') )  $text_code = feedburner-desc( theme_name , 'widget_content_'.$this->id , $instance['text_code'] ); else $text_code = $instance['text_code'] ;
		$feedburner = $instance['feedburner'];
		
		echo $before_widget;
		echo $before_title;
		echo $title ; 
		echo $after_title;
		echo '<div class="feedburner-box">
		<p>'.do_shortcode( $text_code ).'</p>' ; ?>
<form action="http://feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=<?php echo $feedburner ; ?>', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true">
<input class="feedburner-email" type="text" name="email" value="ایمیل خود را وارد کنید" onfocus="if (this.value == 'ایمیل خود را وارد کنید') {this.value = '';}" onblur="if (this.value == '') {this.value = 'ایمیل خود را وارد کنید';}">
<input type="hidden" value="<?php echo $feedburner ; ?>" name="uri">
<input type="hidden" name="loc" value="en_US">			
<input class="feedburner-subscribe" type="submit" name="submit" value="اشتراک"> 
</form>
</div>
<?php
	echo $after_widget;			
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['text_code'] = $new_instance['text_code'] ;
		$instance['feedburner'] = strip_tags( $new_instance['feedburner'] );
		
		if (function_exists('icl_register_string')) {
			icl_register_string( theme_name , 'widget_content_'.$this->id, $new_instance['text_code'] );
		}

		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'title' => 'خبرنامه ی فیدبرنر' , 'text_code' =>  'در خبرنامه ی ما عضو شوید');
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
<div class="pasargad-widget">
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان : </label>
<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'text_code' ); ?>">متنی که می خواهید بالای فیلد ایمیل نمایش داده شود :</label>
<textarea rows="5" id="<?php echo $this->get_field_id( 'text_code' ); ?>" name="<?php echo $this->get_field_name( 'text_code' ); ?>" class="widefat" ><?php echo $instance['text_code']; ?></textarea>
</p>
<p>
<label for="<?php echo $this->get_field_id( 'feedburner' ); ?>">آیدی فید برنر</label>
<input id="<?php echo $this->get_field_id( 'feedburner' ); ?>" name="<?php echo $this->get_field_name( 'feedburner' ); ?>" value="<?php echo $instance['feedburner']; ?>" class="widefat" type="text" />
</p>
</div>
<div class="clear"></div>

	<?php
	}
}
?>