<?php
add_action( 'widgets_init', 'pasargad_google_widget' );
function pasargad_google_widget() {
	register_widget( 'pasargad_googleplus' );
}
class pasargad_googleplus extends WP_Widget {

	function pasargad_googleplus() {
		$widget_ops = array( 'classname' => 'googleplus-widget'  );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_googleplus-widget' );
		$this->WP_Widget( 'pasargad_googleplus-widget','19_گوگل پلاس', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

	$title = apply_filters('widget_title', $instance['title'] );
	$url = $instance['wid_google_url'];

	echo $before_widget;
	echo $before_title;
	echo $title ; 
	echo $after_title;
?>
<div class="gp-widget">
<script type="text/javascript">
	(function() {
	var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
	po.src = 'https://apis.google.com/js/plusone.js';
	var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
	})();
</script>
<g:plus href="<?php echo $url ?>" height="130" width="245" theme="light"></g:plus>
</div>
<?php 
		echo $after_widget;
				
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['wid_google_url'] = $new_instance['wid_google_url'] ;
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'title' => 'گوگل پلاس'  );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

<div class="pasargad-widget">
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان : </label>
<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>"  type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'wid_google_url' ); ?>">آدرس گوگل پلاس : </label>
<input id="<?php echo $this->get_field_id( 'wid_google_url' ); ?>" name="<?php echo $this->get_field_name( 'wid_google_url' ); ?>" value="<?php echo $instance['wid_google_url']; ?>" type="text" />
</p>
</div>
<?php
	}
}
?>