<?php
add_action( 'widgets_init', 'pasargad_news_pic_widget' );
function pasargad_news_pic_widget() {
	register_widget( 'pasargad_news_pic' );
}
class pasargad_news_pic extends WP_Widget {

	function pasargad_news_pic() {
		$widget_ops = array( 'classname' => 'news-pic' );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_news_pic_widget' );
		$this->WP_Widget( 'pasargad_news_pic_widget','6_مطالب تنها با تصویر', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['cat_posts_title'] );
		$posts_number = $instance['posts_number'];
		$cats_id = $instance['cats_id'];
?>
<?php 
	echo $before_widget; 
	echo $before_title; 
	echo $title ; 
	echo $after_title; 
?>
<div class="pic-box">
<?php pasargad_news_pic($posts_number , $cats_id)?>	
</div>
<div class="clear"></div>
<?php 
	echo $after_widget;
}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['cat_posts_title'] = strip_tags( $new_instance['cat_posts_title'] );
		$instance['posts_number'] = strip_tags( $new_instance['posts_number'] );
		$instance['cats_id'] = implode(',' , $new_instance['cats_id']  );
		return $instance;
	}
	function form( $instance ) {
		$defaults = array( 'cat_posts_title' => 'مطالب تنها با تصویر' , 'posts_number' => '5' , 'cats_id' => '1'  );
		$instance = wp_parse_args( (array) $instance, $defaults );
		
		$categories_widgets = get_categories('hide_empty=0');
		$categories = array();
		foreach ($categories_widgets as $widgets_cat) {
			$categories[$widgets_cat->cat_ID] = $widgets_cat->cat_name;
		}
?>
<div class="pasargad-widget">
		<p>
			<label for="<?php echo $this->get_field_id( 'cat_posts_title' ); ?>">عنوان : </label>
			<input id="<?php echo $this->get_field_id( 'cat_posts_title' ); ?>" name="<?php echo $this->get_field_name( 'cat_posts_title' ); ?>" value="<?php echo $instance['cat_posts_title']; ?>" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'posts_number' ); ?>">تعداد مطالب برای نمایش : </label>
			<input id="<?php echo $this->get_field_id( 'posts_number' ); ?>" name="<?php echo $this->get_field_name( 'posts_number' ); ?>" value="<?php echo $instance['posts_number']; ?>" type="text" size="3" />
		</p>
		<p>
			<?php $cats_id = explode ( ',' , $instance['cats_id'] ) ; ?>
			<label for="<?php echo $this->get_field_id( 'cats_id' ); ?>">موضوع : </label>
			<select multiple="multiple" id="<?php echo $this->get_field_id( 'cats_id' ); ?>[]" name="<?php echo $this->get_field_name( 'cats_id' ); ?>[]">
				<?php foreach ($categories as $key => $option) { ?>
				<option value="<?php echo $key ?>" <?php if ( in_array( $key , $cats_id ) ) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
				<?php } ?>
			</select>
		</p>
</div>
	<?php
	}
}
?>