<?php
add_action( 'widgets_init', 'pasargad_posts_list_widget' );
function pasargad_posts_list_widget() {
	register_widget( 'posts_list' );
}
class posts_list extends WP_Widget {

	function posts_list() {
		$widget_ops = array( 'classname' => 'posts-list'  );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_posts-list-widget' );
		$this->WP_Widget( 'pasargad_posts-list-widget','3_آخرین مطالب دو حالته', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

	$title = apply_filters('widget_title', $instance['posts_list_title'] );
	$posts_number = $instance['posts_number'];
	$posts_order = $instance['posts_order'];
	$thumb = $instance['thumb'];
	$date = $instance['date'];

	echo $before_widget;
	echo $before_title;
	echo $title ; 
	echo $after_title;
?>
<ul>
<?php if( $posts_order == 'random' )
	pasargad_random_posts($posts_number , $r_sidebar , $thumb , $date);
	else
	pasargad_last_posts($posts_number , $r_sidebar , $thumb , $date)?>	
</ul>
<?php 
	echo $after_widget;
}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['posts_list_title'] = strip_tags( $new_instance['posts_list_title'] );
		$instance['posts_number'] = strip_tags( $new_instance['posts_number'] );
		$instance['posts_order'] = strip_tags( $new_instance['posts_order'] );
		$instance['thumb'] = strip_tags( $new_instance['thumb'] );
		$instance['date'] = strip_tags( $new_instance['date'] );
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'posts_list_title' => 'پست ها اخیر ' , 'posts_number' => '5' , 'posts_order' => 'latest', 'thumb' => 'true' , 'date' => 'true'  );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
<div class="pasargad-widget">
<p>
<label for="<?php echo $this->get_field_id( 'posts_list_title' ); ?>">عنوان : </label>
<input id="<?php echo $this->get_field_id( 'posts_list_title' ); ?>" name="<?php echo $this->get_field_name( 'posts_list_title' ); ?>" value="<?php echo $instance['posts_list_title']; ?>" type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'posts_number' ); ?>">تعداد مطالب برای نمایش : </label>
<input id="<?php echo $this->get_field_id( 'posts_number' ); ?>" name="<?php echo $this->get_field_name( 'posts_number' ); ?>" value="<?php echo $instance['posts_number']; ?>" type="text" size="3" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'posts_order' ); ?>">نحوه ی نمایش : </label>
<select id="<?php echo $this->get_field_id( 'posts_order' ); ?>" name="<?php echo $this->get_field_name( 'posts_order' ); ?>" >
<option value="latest" <?php if( $instance['posts_order'] == 'latest' ) echo "selected=\"selected\""; else echo ""; ?>>تازه منتشر شده</option>
<option value="random" <?php if( $instance['posts_order'] == 'random' ) echo "selected=\"selected\""; else echo ""; ?>>مطالب تصادفی</option>
</select>
</p>
<p>
<label for="<?php echo $this->get_field_id( 'thumb' ); ?>">نمایش تصویر بندانگشتی : </label>
<input id="<?php echo $this->get_field_id( 'thumb' ); ?>" name="<?php echo $this->get_field_name( 'thumb' ); ?>" value="true" <?php if( $instance['thumb'] ) echo 'checked="checked"'; ?> type="checkbox" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'date' ); ?>">نمایش تاریخ انتشار نوشته : </label>
<input id="<?php echo $this->get_field_id( 'date' ); ?>" name="<?php echo $this->get_field_name( 'date' ); ?>" value="true" <?php if( $instance['date'] ) echo 'checked="checked"'; ?> type="checkbox" />
</p>
</div>
<div class="clear"></div>
<?php
}
}
?>