<?php 
add_action( 'widgets_init', 'pasargad_social_counter_box' );
function pasargad_social_counter_box() {
	register_widget( 'pasargad_social_counter_widget' );
}
class pasargad_social_counter_widget extends WP_Widget {

	function pasargad_social_counter_widget() {
		$widget_ops = array( 'classname' => 'social-counter-widget' );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_social-counter-widget' );
		$this->WP_Widget( 'pasargad_social-counter-widget','23_شمارنده ی شبکه های اجتماعی', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );
		
	$title = apply_filters('widget_title', $instance['title'] );
	$twitter = $instance['twitter'];
	$facebook = $instance['facebook'];
	$googlep = $instance['googlep'];
	$instagram = $instance['instagram'];
	$cnt = $instance['cnt'];

?>
<div class="social-counter-widget">
<ul>
<?php if ($twitter != '') { ?>
<li>
<i class="sc-twitter"></i>
<?php if ($cnt != '') { ?>
<span><?php echo pasargad_sc_twitter($twitter); ?> دنبــال کننده</span>
<?php }else{?>
<span>دنبال کنید</span>
<?php }?>
<a href="https://twitter.com/<?php echo $twitter; ?>" title="دنبال کردن توییتر" target="_blank" rel="nofollow"><span class="add">+1</span></a>
</li>
<?php } ?>
 <?php if ($facebook != '') { ?>
<li>
<i class="sc-facebook"></i>
<?php if ($cnt != '') { ?>
<span><?php echo pasargad_sc_facebook($facebook); ?> هــــوادار</span>
<?php }else{?>
<span>لایــک کنید</span>
<?php }?>
<a href="<?php echo pasargad_sc_facebook($facebook, 'link'); ?>" title="لایک کردن صفحه ی فیسبوک" target="_blank" rel="nofollow"><span class="add">+1</span></a>
</li>
<?php } ?>
<?php if ($googlep != '') { ?>
<li>
<i class="sc-google"></i>
<?php if ($cnt != '') { ?>
<span><?php echo pasargad_sc_googleplus($googlep); ?> مشتــــرک</span>
<?php }else{?>
<span>مشترک شوید</span>
<?php }?>
<a href="<?php echo pasargad_sc_googleplus($googlep, 'link'); ?>" title="مشترک شدن در گوگل پلاس" target="_blank" rel="nofollow"><span class="add">+1</span></a>
</li>
<?php } ?>
<?php if ($instagram != '') { ?>
<li>
<i class="sc-instgram"></i>
<?php if ($cnt != '') { ?>
<span><?php echo pasargad_sc_instagram($instagram); ?> دنبــال کننده</span>
<?php }else{?>
<span>دنبال کنید</span>
<?php }?>
<a href="<?php echo pasargad_sc_instagram($instagram, 'link'); ?>" title="دنبال کردن اینستگرام" target="_blank" rel="nofollow"><span class="add">+1</span></a>
</li>
<?php } ?>
</ul>
</div>
<?php 

	}
	
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

			$instance['title'] = strip_tags( $new_instance['title'] );
			$instance['twitter'] = $new_instance['twitter'];
			$instance['facebook'] = $new_instance['facebook'];
			$instance['googlep'] = $new_instance['googlep'];
			$instance['instagram'] = $new_instance['instagram'];
			$instance['cnt'] = $new_instance['cnt'];
		return $instance;
	}
	
function form( $instance ) {


		$defaults = array(
			'title' => 'شبکه ها اجتماعی',
			'twitter' => '',
			'facebook' => '',
			'googlep' => '',
			'dribbble' => '',
			'instagram' => '',
 			);
		$instance = wp_parse_args( (array) $instance, $defaults );
                
                
                
                ?>
	<div class="pasargad-widget">
	<div class="pasargad-help"><div class="help">
		<p>
برای اکانت توییتر باید Api auth را در پنل تنظیمات تنظیم کنید.وارد پنل تنظیمات شده و در بخش شبکه های اجتماعی شماره سریال های خود را بسازید.باید در بخش api اکانت توییتر خود بسازید.
		</p>
	</div></div>		
		<p>
			<label for="<?php echo $this->get_field_id( 'cnt' ); ?>">نمایش تعداد لایک و فالور</label>
			<input id="<?php echo $this->get_field_id( 'cnt' ); ?>" name="<?php echo $this->get_field_name( 'cnt' ); ?>" value="true" <?php if( $instance['cnt'] ) echo 'checked="checked"'; ?> type="checkbox" />
		</p>
		<p>
		<label for="<?php echo $this->get_field_id( 'twitter' ); ?>">آیدی توییتر</label>
		<input type="text" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" value="<?php echo $instance['twitter']; ?>" class="widefat" />
		</p>

		<p>
		<label for="<?php echo $this->get_field_id( 'facebook' ); ?>">صفحه ی فیسبوک</label>
		<input type="text" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" value="<?php echo $instance['facebook']; ?>" class="widefat" />
		</p>

		<p>
		<label for="<?php echo $this->get_field_id( 'googlep' ); ?>">آیدی گوگل پلاس</label>
		<input type="text" id="<?php echo $this->get_field_id( 'googlep' ); ?>" name="<?php echo $this->get_field_name( 'googlep' ); ?>" value="<?php echo $instance['googlep']; ?>" class="widefat" />
		</p>

		
		<p>
		<label for="<?php echo $this->get_field_id( 'instagram' ); ?>">آیدی اینستگرام</label>
		<input type="text" id="<?php echo $this->get_field_id( 'instagram' ); ?>" name="<?php echo $this->get_field_name( 'instagram' ); ?>" value="<?php echo $instance['instagram']; ?>" class="widefat" />
		</p>
		
		<p><a href="#" class="red  delete-sc-cache">پاک کردن کش</a><span></span></p>
</div>
<div class="clear"></div>
   <?php 
}
	} 