<?php
add_action( 'widgets_init', 'pasargad_software_widget' );
function pasargad_software_widget() {
	register_widget( 'pasargad_soft' );
}
class pasargad_soft extends WP_Widget {

	function pasargad_soft() {
		$widget_ops = array( 'classname' => 'require-softwares'  );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_soft-widget' );
		$this->WP_Widget( 'pasargad_soft-widget','13_نرم افزا ضروری', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

	$title = apply_filters('widget_title', $instance['title'] );
	$soft_wid = $instance['soft_wid'];
		
	echo $before_widget;
	echo $before_title; 
	echo $title ; 
	echo $after_title; 
?>
<ul class="software">
<?php for($i=1 ; $i<11 ; $i++ ){ ?>
<?php  if( $instance[ 'soft'.$i.'_img' ] ){ ?>
<li>
<div class="requirethumb"><img src="<?php echo $instance[ 'soft'.$i.'_img' ] ?>" title="<?php echo $instance[ 'soft'.$i.'_name' ] ?>" alt="<?php echo $instance[ 'soft'.$i.'_name' ] ?>" width="36" height="36" /></div>
<div class="requiredesc">
<?php if( $instance[ 'soft'.$i.'_link' ] ){ ?>
<a href="<?php echo $instance[ 'soft'.$i.'_link' ] ?>" title="<?php echo $instance[ 'soft'.$i.'_name' ] ?>" rel="nofollow"><?php echo $instance[ 'soft'.$i.'_name' ] ?></a>
<?php } ?>
<p><?php _e('نسخه ی ','persian'); echo $instance[ 'soft'.$i.'_ver' ] ?></p>
</div>
</li>
<?php } } ?>
</ul>
<div class="clear"></div>
<?php 
	echo $after_widget;
}
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['soft_wid'] = strip_tags( $new_instance['soft_wid'] );

		for($i=1 ; $i<11 ; $i++ ){ 
			$instance['soft'.$i.'_img'] = strip_tags( $new_instance['soft'.$i.'_img'] );
			$instance['soft'.$i.'_name'] = strip_tags( $new_instance['soft'.$i.'_name'] );
			$instance['soft'.$i.'_ver'] = strip_tags( $new_instance['soft'.$i.'_ver'] );
			$instance['soft'.$i.'_link'] = strip_tags( $new_instance['soft'.$i.'_link'] );
		}
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'title' => 'نرم افزارهای ضروری' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
<div class="pasargad-widget">	
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>">عنوان : </label>
<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>"  type="text" />
</p>
<?php 
for($i=1 ; $i<11 ; $i++ ){ ?>
<p style="display:block; border-bottom:1px solid #CCC; margin:20px 0 5px; font-weight:bold">نرم افزار <?php echo $i; ?> :</p>
<p>
<label for="<?php echo $this->get_field_id( 'soft'.$i.'_name' ); ?>">نام نرم افزار <?php echo $i; ?> :</label>
<input id="<?php echo $this->get_field_id( 'soft'.$i.'_name' ); ?>" name="<?php echo $this->get_field_name( 'soft'.$i.'_name' ); ?>" value="<?php echo $instance['soft'.$i.'_name']; ?>"  type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'soft'.$i.'_img' ); ?>">آیکون نرم افزار <?php echo $i; ?> :</label>
<input id="<?php echo $this->get_field_id( 'soft'.$i.'_img' ); ?>" name="<?php echo $this->get_field_name( 'soft'.$i.'_img' ); ?>" value="<?php echo $instance['soft'.$i.'_img']; ?>"  type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'soft'.$i.'_ver' ); ?>">ورژن نرم افزار <?php echo $i; ?> :</label>
<input id="<?php echo $this->get_field_id( 'soft'.$i.'_ver' ); ?>" name="<?php echo $this->get_field_name( 'soft'.$i.'_ver' ); ?>" value="<?php echo $instance['soft'.$i.'_ver']; ?>" type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'soft'.$i.'_link' ); ?>">لینک نرم افزار <?php echo $i; ?> :</label>
<input id="<?php echo $this->get_field_id( 'soft'.$i.'_link' ); ?>" name="<?php echo $this->get_field_name( 'soft'.$i.'_link' ); ?>" value="<?php echo $instance['soft'.$i.'_link']; ?>" type="text" />
</p>
<?php } ?>
</div>
<div class="clear"></div>
<?php
	}
}
?>