<?php
add_action( 'widgets_init', 'pasargad_tabs_widget' );
function pasargad_tabs_widget() {
	register_widget( 'pasargad_tabs_widget' );
}
class pasargad_tabs_widget extends WP_Widget {

	function pasargad_tabs_widget() {
		$widget_ops = array( 'classname' => 'cat-widget' );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_tabs-widget' );
		$this->WP_Widget( 'pasargad_tabs-widget','18_تب ها', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['title'] );
		$number = $instance['number'];
?>
<div class="block">
<div class="tabs-list row">
<ul>
<li><a href="#tabs-item1" class="active" title="پربازید سال" rel="nofollow">پربازید سال</a></li>
<li><a href="#tabs-item2" title="پربازدید ماه" rel="nofollow">پربازدید ماه</a></li>
<li><a href="#tabs-item3" title="پربازدید هفته" rel="nofollow">پربازدید هفته</a></li>
</ul>
</div>
<div class="tabs-widget" id="tabs-item1">
<div class="content">
<?php
$tabs_query = new WP_Query(array(
'post_status' =>'publish',
'post_type' =>'post',
'order' =>'DESC',
'posts_per_page' => $number,
'date_query' => array(
array(
'after' => '1 year ago',
),
),
'no_found_rows' => 1, 
));
?>
<ul>
<?php if($tabs_query->have_posts()) :
		while($tabs_query->have_posts()) : $tabs_query->the_post();?>
<li>	
<?php
if ( has_post_thumbnail() ){
?>
<div class="post-thumbnail">
<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><?php thumb_small();?></a>
</div>
<?php } else { ?>
<div class="post-thumbnail">
<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark">
<img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/no-thumb.png" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" width="70" height="70">
</a>
</div>
<?php }?>
<a href="<?php echo get_permalink( $post->ID ) ?>" title="<?php the_title_attribute(); ?>" class="post-link" rel="bookmark"><?php the_title(); ?></a>
<span class="post-date"><?php the_time(' j F Y ') ?></span>
</li>
<?php endwhile;endif;?>
</ul>
<?php wp_reset_query();?>
</div>
</div>
<div class="tabs-widget" id="tabs-item2">
<div class="content">
<?php
$tabs_view_query = new WP_Query(array(
'post_status' => 'publish', 
'post_type' =>'post',
'orderby' => 'meta_value_num', 
'meta_key'=> 'views' , 
'order' => 'DESC', 
'posts_per_page' => $number, 
'date_query' => array(
array(
'after' => '1 month ago',
),
), 
'no_found_rows' => 1
));
?>
<ul>
<?php if($tabs_view_query->have_posts()) :
		while($tabs_view_query->have_posts()) : $tabs_view_query->the_post();?>
<li>
<?php
if ( has_post_thumbnail() ){
?>
<div class="post-thumbnail">
<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><?php thumb_small();?></a>
</div>
<?php } else { ?>
<div class="post-thumbnail">
<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark">
<img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/no-thumb.png" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" width="70" height="70">
</a>
</div>
<?php }?>
<a href="<?php echo get_permalink( $post->ID ) ?>" title="<?php the_title_attribute(); ?>" class="post-link" rel="bookmark"><?php the_title(); ?></a>
<span class="post-date"><?php the_time(' j F Y ') ?></span>
</li>
<?php endwhile;endif;?>
</ul>
<?php wp_reset_query();?>
</div>
</div>
<div class="tabs-widget" id="tabs-item3">
<div class="content">
<?php
$tabs_last_query = new WP_Query(array(
'post_status' =>'publish',
'post_type' =>'post',
'order' =>'DESC',
'posts_per_page' => $number,
'date_query' => array(
array(
'after' => '1 week ago',
),
),
'no_found_rows' => 1, 
));
?>
<ul>
<?php if($tabs_last_query->have_posts()) :
		while($tabs_last_query->have_posts()) : $tabs_last_query->the_post();?>
<li>	
<?php
if ( has_post_thumbnail() ){
?>
<div class="post-thumbnail">
<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><?php thumb_small();?></a>
</div>
<?php } else { ?>
<div class="post-thumbnail">
<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark">
<img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/no-thumb.png" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" width="70" height="70">
</a>
</div>
<?php }?>
<a href="<?php echo get_permalink( $post->ID ) ?>" title="<?php the_title_attribute(); ?>" class="post-link" rel="bookmark"><?php the_title(); ?></a>
<span class="post-date"><?php the_time(' j F Y ') ?></span>
</li>
<?php endwhile;endif;?>
</ul>
<?php wp_reset_query();?>
</div>
</div>
</div>
	<?php 
		
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['number'] = strip_tags( $new_instance['number'] );
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'title' =>__( 'موضوعات'),'number' => '5'  );
		$instance = wp_parse_args( (array) $instance, $defaults );
		?>
<div class="pasargad-widget">
<p>
<label for="<?php echo $this->get_field_id( 'posts_number' ); ?>">تعداد مطالب برای نمایش:</label>
<input id="<?php echo $this->get_field_id( 'posts_number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" value="<?php echo $instance['number']; ?>" type="text" size="3" />
</p>
</div>
	<?php
	}
}
?>