<?php
add_action( 'widgets_init', 'pasargad_textads_widget' );
function pasargad_textads_widget() {
	register_widget( 'pasargad_textads' );
}
class pasargad_textads extends WP_Widget {

	function pasargad_textads() {
		$widget_ops = array( 'classname' => 'widget-textads'  );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_textads-widget' );
		$this->WP_Widget( 'pasargad_textads-widget','10_تبلیغ متنی', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', $instance['text_html_title'] );
	    $text_ads = $instance['text_ads'];
		
		
?>
<div class="text-ads">
<ul>
<?php for($i=1 ; $i<11 ; $i++ ){ ?>
<?php  if( $instance[ 'ads'.$i.'_site' ] ){ ?>
<li>
<?php if( $instance[ 'ads'.$i.'_url' ] ){ ?>
<a href="<?php echo $instance[ 'ads'.$i.'_url' ] ?>" title="<?php echo $instance[ 'ads'.$i.'_site' ] ?>" <?php if( $instance[ 'ads'.$i.'_nofollow' ] ){ ?>rel="nofollow"<?php }?>><?php echo $instance[ 'ads'.$i.'_site' ] ?></a>
<?php } ?>
<?php if( $instance[ 'ads'.$i.'_desc' ] ){ ?><span class="ads-desc"><?php echo $instance[ 'ads'.$i.'_desc' ] ?></span><?php } ?>
<?php if( $instance[ 'ads'.$i.'_url' ] ){ ?><span class="ads-url"><?php echo $instance[ 'ads'.$i.'_url' ] ?></span><?php }?>
</li>
<?php
}
} ?>
</ul>
</div>
<?php 
}
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['text_ads'] = strip_tags( $new_instance['text_ads'] );

		for($i=1 ; $i<11 ; $i++ ){ 
			$instance['ads'.$i.'_site'] = strip_tags( $new_instance['ads'.$i.'_site'] );
			$instance['ads'.$i.'_url'] = strip_tags( $new_instance['ads'.$i.'_url'] );
			$instance['ads'.$i.'_desc'] = strip_tags( $new_instance['ads'.$i.'_desc'] );
			$instance['ads'.$i.'_nofollow'] = strip_tags( $new_instance['ads'.$i.'_nofollow'] );
		}
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'title' => 'تبلیغات متنی' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
<div class="pasargad-widget">		
<?php 
for($i=1 ; $i<11 ; $i++ ){ 
?>
<p>تبلیغ <?php echo $i; ?> :</p>
<p>
<span>افزودن nofollow به لینک (پیشنهاد می شود) </span><input id="<?php echo $this->get_field_id( 'ads'.$i.'_nofollow' ); ?>" name="<?php echo $this->get_field_name( 'ads'.$i.'_nofollow' ); ?>" value="true" <?php if( !empty( $instance['ads'.$i.'_nofollow'] ) ) echo 'checked="checked"'; ?> type="checkbox" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'ads'.$i.'_site' ); ?>">عنوان لینک تبلیغ <?php echo $i; ?> :</label>
<input id="<?php echo $this->get_field_id( 'ads'.$i.'_site' ); ?>" name="<?php echo $this->get_field_name( 'ads'.$i.'_site' ); ?>" value="<?php echo $instance['ads'.$i.'_site']; ?>" type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'ads'.$i.'_url' ); ?>">لینک تبلیغ <?php echo $i; ?> :</label>
<input id="<?php echo $this->get_field_id( 'ads'.$i.'_url' ); ?>" name="<?php echo $this->get_field_name( 'ads'.$i.'_url' ); ?>" value="<?php echo $instance['ads'.$i.'_url']; ?>" type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'ads'.$i.'_desc' ); ?>">توضیح مختصر تبلیغ <?php echo $i; ?> : </label>
<textarea id="<?php echo $this->get_field_id( 'ads'.$i.'_desc' ); ?>" name="<?php echo $this->get_field_name( 'ads'.$i.'_desc' ); ?>"  ><?php echo $instance['ads'.$i.'_desc']; ?></textarea>
</p>
<?php } ?>
</div>
<div class="clear"></div>
<?php
}
}
?>