<?php
add_action( 'widgets_init', 'pasargad_video_widget' );
function pasargad_video_widget() {
	register_widget( 'pasargad_video_widget' );
}
class pasargad_video_widget extends WP_Widget {

	function pasargad_video_widget() {
		$widget_ops = array( 'classname' => 'video-widget'  );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_video-widget' );
		$this->WP_Widget( 'pasargad_video-widget','17_ویدیو', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', $instance['text_html_title'] );
		$url = $instance['url'];
		$video_name = $instance['video_name'];
?>
<?php	
	echo $before_widget;
	echo $before_title;
	echo $title ; 
	echo $after_title;
?>
<div class="video-box">
<?php if( $instance[ 'video_name' ] ){ ?>
<span><?php echo $video_name ?></span>
<?php }?>
<video controls>
<source src="<?php echo $url ?>" type="video/mp4">
</video>
</div>
<?php 
		echo $after_widget;
				
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['text_html_title'] = strip_tags( $new_instance['text_html_title'] );
		$instance['url'] = $new_instance['url'] ;
		$instance['video_name'] = $new_instance['video_name'] ;
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'text_html_title' => 'ویدیو'  );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<div class="pasargad-widget">
		<p>
			<label for="<?php echo $this->get_field_id( 'text_html_title' ); ?>">عنوان : </label>
			<input id="<?php echo $this->get_field_id( 'text_html_title' ); ?>" name="<?php echo $this->get_field_name( 'text_html_title' ); ?>" value="<?php echo $instance['text_html_title']; ?>" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'url' ); ?>">لینک آنلاین ویدیو :</label>
			<input id="<?php echo $this->get_field_id( 'url' ); ?>" name="<?php echo $this->get_field_name( 'url' ); ?>" value="<?php echo $instance['url']; ?>" type="text"/>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'video_name' ); ?>">نام ویدیو : </label>
			<input id="<?php echo $this->get_field_id( 'video_name' ); ?>" name="<?php echo $this->get_field_name( 'video_name' ); ?>" value="<?php echo $instance['video_name']; ?>" type="text"/>
		</p>
		
	
</div>

	<?php
	}
}
?>